# About Meggie

Developed at the Jyväskylä Centre for Interdisciplinary Brain Research (CIBR), Meggie is the result of a project that started in 2013, with the mission to make sophisticated M/EEG analysis accessible to all researchers. Meggie builds upon the MNE-Python library to deliver a robust set of features through an intuitive interface.

## Design Philosophy

Meggie focuses on:

1. **Multi-Subject Management**: It makes it easy to work with many subjects' data at once.
2. **Clear Analysis Steps**: It helps users go step by step from starting data to results.

Compared to other tools like FieldTrip, MNE-Python, EEGLAB, Brainstorm, and MNELAB, Meggie is unique because it's built with Python, it's easy for anyone to use, and it's designed for handling multiple subjects' data efficiently.

## Plugins

Meggie can be changed and added to with plugins. If you know Python, you can create new features. This helps Meggie grow and helps everyone who uses it.

To learn more, see our [Developer Documentation](./developer-guide/architecture.md).
